OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_TextOrCharacter Class Reference

`#include <StepVisual_TextOrCharacter.hxx>`

Inheritance diagram for StepVisual_TextOrCharacter:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepVisual_TextOrCharacter ()
| Returns a TextOrCharacter SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a TextOrCharacter Kind Entity that is : 1 -> AnnotationText 2 -> CompositeText 3 -> TextLiteral 0 else .
Standard_EXPORT Handle_StepVisual_AnnotationText | AnnotationText () const
| returns Value as a AnnotationText (Null if another type)
Standard_EXPORT Handle_StepVisual_CompositeText | CompositeText () const
| returns Value as a CompositeText (Null if another type)
Standard_EXPORT Handle_StepVisual_TextLiteral | TextLiteral () const
| returns Value as a TextLiteral (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_TextOrCharacter::StepVisual_TextOrCharacter | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepVisual_AnnotationText StepVisual_TextOrCharacter::AnnotationText | ( |  | ) | const

Standard_EXPORT Standard_Integer StepVisual_TextOrCharacter::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepVisual_CompositeText StepVisual_TextOrCharacter::CompositeText | ( |  | ) | const

void StepVisual_TextOrCharacter::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepVisual_TextOrCharacter::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepVisual_TextOrCharacter::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepVisual_TextLiteral StepVisual_TextOrCharacter::TextLiteral | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepVisual_TextOrCharacter.hxx